web入門
すばらしきwebの世界

CentOS 6 サーバアップデート php gd エラー

2016.09.30LINUX

CentOS6.7をアップデートする際、エラーが発生しました。

コマンド:yum update

・・・・・
gd-last-2.2.1-2.el6.remi.x86_64 (remi-safe)
libwebp.so.5()(64bit)

■原因
“libwebp” が存在しないようです。
以下のコマンドで確認します。

コマンド:yum list | grep libwebp

■対応
“libwebp” をインストールします。

コマンド:yum install libwebp

ところが、エラーが発生します。

読み込んだプラグイン:fastestmirror, security
インストール処理の設定をしています
Loading mirror speeds from cached hostfile
* base: ftp.iij.ad.jp
* extras: ftp.iij.ad.jp
* remi-safe: mirror.innosol.asia
* updates: ftp.iij.ad.jp
パッケージ libwebp は利用できません。
エラー: 何もしません

リポジトリはremiとepelを使用しています。
remiリポジトリから “libwebp” をインストールします。

コマンド:yum install ftp://rpmfind.net/linux/remi/enterprise/6/remi/x86_64/libwebp-0.3.1-2.el6.remi.x86_64.rpm

ここでもエラーが発生します。

なので、epel経由でインストールします。

コマンド:yum install libwebp-devel –enablerepo=epel

インストール出来ました。

これで、サーバアップデート出来ます。

参考サイト
https://teratail.com/questions/37132